<?
include_once("../../cisweb_manual/valida_sessao.php");
protegePagina(); 
include_once("../../cisweb_manual/adm_head.php");

?>

<h1>Buscar:</h1>
<!-- Formulário de busca -->
<form action="busca.php" method="post">
<center>
<select name="campo">
  <option value="P_NOME" selected="selected">Título</option>
  <option value="P_TEXTO">Conteúdo</option>
</select>
<input type="text" name="busca" size="60" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" class="botao" />
</center>
<!-- FIM Formulário de busca -->


  <?php
include("../../cisweb_manual/CisManual/config.php");
include("../../cisweb_manual/CisManual/utf8.php");

//paginação
include_once("../../cisweb_manual/pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
//$sql = "SELECT * FROM paginas ";
$sql = "SELECT * FROM paginas as b INNER JOIN templates as c ON b.P_T_ID = c.T_ID ";
$sql = base64_encode($sql);
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = base64_decode($_POST['qry']);
}else{
	//$qry = "SELECT * FROM paginas ORDER BY p_id ASC";
	$qry = "SELECT * FROM paginas as b INNER JOIN templates as c ON b.P_T_ID = c.T_ID ORDER by P_T_ID ASC";
	//$qry = "SELECT * FROM paginas as a INNER JOIN templates as b ON a.p_t_id = b.t_id ORDER by id ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysql_query($qry.$sqlFinal, $conn);

//navegador de paginação
include_once("../../cisweb_manual/pag_fim.php");
//fim navegador de paginação

?>

<table align="center" class="revisao">
  <tr>
    <th>Título</th>
    <th>Acessar</th>
  </tr>
  
<?
while ($linha = mysql_fetch_array($consulta)) {
	$codigopagina = $linha['P_ID'];
	$sql_obs = "SELECT *, date_format(OB_DATA, '%d/%m/%Y - %H:%i') as data, date_format(OB_ALT_DATA, '%d/%m/%Y - %H:%i') as data_autor FROM observacoes WHERE OB_P_ID = $codigopagina ORDER by OB_DATA DESC";
	$consulta_obs = mysql_query($sql_obs, $conn);
	$linha_obs = mysql_fetch_array($consulta_obs);	

?>
  <tr>
    <td><?=$linha['P_NOME'];?></td>
    <td width="1">
    <a href="<?=$linha['P_ARQUIVO'];?>"><img src="/cisweb_manual/img/acessar.png" /></a>
    </td>  
  </tr>
  <?php
}
mysql_close($conn);
?>
</table>


<? include_once("../../cisweb_manual/adm_foot.php"); ?>
